#!/usr/bin/env ruby

require 'browshot'

browshot = Browshot.new('my_api_key')


list = browshot.screenshot_list({ 'limit' => 5, 'status' => 'finished' }) # last 5 screenshots
list.each { |id, screenshot|
	puts "##{id} #{screenshot['url']}\n"
}

# Number of errors
list = browshot.screenshot_list({ 'status' => 'error' })
puts "#{list.count} of the last last 100 screenshots failed\n"
